Chart-1.9.5: A library for generating 2D Charts and Plots

Copyright | (c) Tim Docker 2006 2014
License | BSD-style (see chart/COPYRIGHT)
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.Chart.Plot.FillBetween

Contents

- Accessors

Description

Plots that fill the area between two lines.

Synopsis

- data PlotFillBetween x y = PlotFillBetween {
  - _plot_fillbetween_title :: String
  - _plot_fillbetween_style :: FillStyle
  - _plot_fillbetween_line :: Maybe LineStyle
  - _plot_fillbetween_values :: [(x, (y, y))]
  }
- plot_fillbetween_title :: forall x y f. Functor f => (String -> f String) -> PlotFillBetween x y -> f (PlotFillBetween x y)
- plot_fillbetween_style :: forall x y f. Functor f => (FillStyle -> f FillStyle) -> PlotFillBetween x y -> f (PlotFillBetween x y)
- plot_fillbetween_line :: forall x y f. Functor f => (Maybe LineStyle -> f (Maybe LineStyle)) -> PlotFillBetween x y -> f (PlotFillBetween x y)
- plot_fillbetween_values :: forall x1 y1 x2 y2 f. Functor f => ([(x1, (y1, y1))] -> f [(x2, (y2, y2))]) -> PlotFillBetween x1 y1 -> f (PlotFillBetween x2 y2)

# Documentation

data PlotFillBetween x y Source #

Value specifying a plot filling the area between two sets of Y coordinates, given common X coordinates.

Constructors

PlotFillBetween |

Fields

- _plot_fillbetween_title :: String
- _plot_fillbetween_style :: FillStyle
- _plot_fillbetween_line :: Maybe LineStyle
- _plot_fillbetween_values :: [(x, (y, y))]

#### Instances

Instances details

ToPlot PlotFillBetween Source # |
Instance details Defined in Graphics.Rendering.Chart.Plot.FillBetween Methods toPlot :: PlotFillBetween x y -> Plot x y Source #
Default (PlotFillBetween x y) Source # |
Instance details Defined in Graphics.Rendering.Chart.Plot.FillBetween Methods def :: PlotFillBetween x y #

# Accessors

These accessors are generated by template haskell

plot_fillbetween_title :: forall x y f. Functor f => (String -> f String) -> PlotFillBetween x y -> f (PlotFillBetween x y) Source #

plot_fillbetween_style :: forall x y f. Functor f => (FillStyle -> f FillStyle) -> PlotFillBetween x y -> f (PlotFillBetween x y) Source #

plot_fillbetween_line :: forall x y f. Functor f => (Maybe LineStyle -> f (Maybe LineStyle)) -> PlotFillBetween x y -> f (PlotFillBetween x y) Source #

plot_fillbetween_values :: forall x1 y1 x2 y2 f. Functor f => ([(x1, (y1, y1))] -> f [(x2, (y2, y2))]) -> PlotFillBetween x1 y1 -> f (PlotFillBetween x2 y2) Source #